---
name: Bug report
about: Create a report to help us improve. Fill in the required information requested. Issues without them may be closed without further notice.
title: ''
labels: ''
assignees: ''

---

<!--
Follow the troubleshooting procedure before opening a bug
https://github.com/gotev/android-upload-service/wiki/Troubleshooting-Procedure

Bug reports without relevant details will be closed. Time is precious for everybody.

Good and precise bug reports help improve the library fast and make it easier for everybody.
Complaints are not useful.
-->

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**OS and Lib versions (please complete the following information):**
- Android Upload Service version: [e.g. 4.3.0]
- Android version and API version: [e.g. Android 10]
- HTTP stack: [e.g. HurlStack or OkHttpStack]

**Request code:**
```kotlin
// the code you wrote to create the upload request
```
**Where have you added the request code?**
- [ ] Activity
- [ ] Service
- [ ] Other class (add additional info about it)

<!-- check the Wiki on how to enable library debug log. 4.x versions have it enabled by default on debug builds -->

**Debug Log**:
```
// your debug log
```

**Other info**:
<!-- For example, URL to a demo project where the issue is replicated -->
